Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2758443003: Remove usb option from manual printer configuration. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 1 week ago by skau
Modified:
6 months, 1 week ago
Reviewers:
stevenjb, xdai1
CC:
chromium-reviews, michaelpg+watch-md-settings_chromium.org, michaelpg+watch-md-ui_chromium.org, dbeam+watch-settings_chromium.org, stevenjb+watch-md-settings_chromium.org, arv+watch_chromium.org, Carlson, weifangsun
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove usb option from manual printer configuration. It's simply too hard to ask a user to configure a USB printer manually. Remove to option to prevent a terrible experience. The USB detector committed soon. BUG=699285 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2758443003 Cr-Commit-Position: refs/heads/master@{#458192} Committed: https://chromium.googlesource.com/chromium/src/+/f7f370dba5703b1df78ae7a6bc54b498fcd18589

Patch Set 1 #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+0 lines, -1 line) Patch
M chrome/browser/resources/settings/printing_page/cups_add_printer_dialog.html View 1 chunk +0 lines, -1 line 3 comments Download
Trybot results:  linux_android_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_asan_rel_ng   win_chromium_x64_rel_ng   android_n5x_swarming_rel   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_chromeos_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   linux_chromium_rel_ng   ios-device-xcode-clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device   mac_chromium_compile_dbg_ng   closure_compilation   linux_chromium_tsan_rel_ng   ios-simulator   mac_chromium_rel_ng   win_chromium_x64_rel_ng   win_clang   android_n5x_swarming_rel   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   linux_android_rel_ng   linux_chromium_compile_dbg_ng   cast_shell_android   android_cronet   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   android_compile_dbg   cast_shell_linux   android_arm64_dbg_recipe   android_clang_dbg_recipe   linux_chromium_tsan_rel_ng   chromium_presubmit   closure_compilation   mac_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   ios-device-xcode-clang   linux_chromium_compile_dbg_ng   ios-simulator   linux_chromium_rel_ng   android_clang_dbg_recipe   chromeos_daisy_chromium_compile_only_ng   cast_shell_android   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   android_compile_dbg   linux_android_rel_ng   ios-simulator-xcode-clang   android_n5x_swarming_rel   linux_chromium_chromeos_rel_ng   chromium_presubmit   win_chromium_compile_dbg_ng   ios-device   android_cronet   android_arm64_dbg_recipe   linux_chromium_tsan_rel_ng   linux_chromium_asan_rel_ng   win_clang   win_chromium_rel_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 25 (11 generated)
skau
stevenjb@: I believe you're the relevant OWNER for this package. The rest: FYI
6 months, 1 week ago (2017-03-17 00:42:03 UTC) #3
xdai1
https://codereview.chromium.org/2758443003/diff/1/chrome/browser/resources/settings/printing_page/cups_add_printer_dialog.html File chrome/browser/resources/settings/printing_page/cups_add_printer_dialog.html (left): https://codereview.chromium.org/2758443003/diff/1/chrome/browser/resources/settings/printing_page/cups_add_printer_dialog.html#oldcode176 chrome/browser/resources/settings/printing_page/cups_add_printer_dialog.html:176: <option value="usb">$i18n{printerProtocolUsb}</option> drive-by comment: I think you should also ...
6 months, 1 week ago (2017-03-17 03:39:50 UTC) #5
stevenjb
We need an issue to track this (and please cc the appropriate PM). https://codereview.chromium.org/2758443003/diff/1/chrome/browser/resources/settings/printing_page/cups_add_printer_dialog.html File ...
6 months, 1 week ago (2017-03-17 16:55:11 UTC) #6
stevenjb
On 2017/03/17 16:55:11, stevenjb wrote: > We need an issue to track this (and please ...
6 months, 1 week ago (2017-03-17 16:58:48 UTC) #7
skau
On 2017/03/17 16:58:48, stevenjb wrote: > On 2017/03/17 16:55:11, stevenjb wrote: > > We need ...
6 months, 1 week ago (2017-03-17 19:51:22 UTC) #9
skau
The PM is aware and I've added the appropriate bug. My apologies for the omission. ...
6 months, 1 week ago (2017-03-17 19:52:40 UTC) #10
stevenjb
OK, lgtm, thanks!
6 months, 1 week ago (2017-03-17 20:36:22 UTC) #11
xdai1
On 2017/03/17 19:52:40, skau wrote: > The PM is aware and I've added the appropriate ...
6 months, 1 week ago (2017-03-17 20:48:37 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2758443003/1
6 months, 1 week ago (2017-03-17 23:54:27 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/409770)
6 months, 1 week ago (2017-03-18 00:53:28 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2758443003/1
6 months, 1 week ago (2017-03-20 18:36:11 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/139978) linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, ...
6 months, 1 week ago (2017-03-20 19:19:32 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2758443003/1
6 months, 1 week ago (2017-03-20 20:15:03 UTC) #22
commit-bot: I haz the power
6 months, 1 week ago (2017-03-20 21:27:35 UTC) #25
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/f7f370dba5703b1df78ae7a6bc54...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b